
class Settings():
    def __init__(self) -> None:
        self.api_key = 'sk-iQYuTGKYDJDj55u1SG4mtnZAsweWAPpL34rvqxyje8kcdsRE'
        self.base_url = "http://35.220.164.252:3888/v1/"
        self.model_name = (
            "o3-mini"
            # "o3"
            # "deepseek-ai/DeepSeek-R1-Distill-Qwen-7B"   # free
            # "THUDM/GLM-4-9B-0414"   # free
            # "gemini-2.5-flash-thinking"
            # "gemini-2.5-pro-thinking"   # error   dont know
            # "claude-3-5-haiku-latest"   # error   too long
            # "gpt-4o-mini"                 # error   dont know
            # "gpt-4.1"
        )
        self.temperature = 0


def get_settings():
    return Settings()